# Class NativePasswordPlugin

java.lang.Object
org.mariadb.jdbc.internal.com.send.authentication.NativePasswordPlugin

All Implemented Interfaces:
  `AuthenticationPlugin`

public class NativePasswordPlugin extends Object implements AuthenticationPlugin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`

## Constructor Summary

Constructors
Constructor
Description
`NativePasswordPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(String authenticationData, byte[] seed, Options options)`
Initialized data.
`String`
`name()`
Authentication plugin name.
`Buffer`
`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process native password plugin authentication.
`String`
`type()`
Authentication plugin type.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface AuthenticationPlugin

`mustUseSsl`

## Field Details

### TYPE

public static final String TYPE

See Also:
  - Constant Field Values

## Constructor Details

### NativePasswordPlugin

public NativePasswordPlugin()

## Method Details

### name

public String name()
Description copied from interface: `AuthenticationPlugin`
Authentication plugin name.

Specified by:
  `name` in interface `AuthenticationPlugin`
Returns:
  authentication plugin name. ex: Mysql native password

### type

public String type()
Description copied from interface: `AuthenticationPlugin`
Authentication plugin type.

Specified by:
  `type` in interface `AuthenticationPlugin`
Returns:
  authentication plugin type. ex: mysql_native_password

### initialize

public void initialize(String authenticationData, byte[] seed, Options options)
Initialized data.

Specified by:
  `initialize` in interface `AuthenticationPlugin`
Parameters:
  `authenticationData` - authentication data (password/token)
  `seed` - server provided seed
  `options` - Connection string options

### process

public Buffer process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence) throws IOException
Process native password plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-mysql_native_password/

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `sequence` - packet sequence
Returns:
  response packet
Throws:
  `IOException` - if socket error